/* Datei BSPTypkonvEinf.java
	Einführung zum Thema Operatoren */

class BSPTypkonvEinf
{
    public static void main(String[] args)
    {
    	/*Bei der Zuweisung müssen die Typen der Variablen auf 
    		beiden Seiten identisch sein, sonst meckert der Compiler!*/
//    	int zahl1="w";
//    	int zahl2=12.34;
//    	boolean wahrheit=12345;	
    	
    	
		//automatisch
        int x = 4711;
        double y;
        y = x;
        System.out.println("    y = " + y);
		
		// nicht compilierbar bei Konv. in schmaleren Typ
//		int a;
//		double b = 3.14;
//		a = b;
//		System.out.println("    a = " + a);
      
		
		// explizit
		int a;
		double b = 3.14;
		a = (int) b;
		System.out.println("    a = " + a);
		
		int u;
		char v='H';
		u=v;
		System.out.println("    u = " + u);
		
		u=(int)(12.23+23.923);
		System.out.println("    u = " + u);
		u=(int)12.23+(int)23.923;
		System.out.println("    u = " + u);
//		//Division (int)
//		int f = 3;
//		int g = 4;
//		double h;
//		h = f/g; /* Ausdruck wird zu Integer, bei der
//					Zuweisung fallen die Nachkommastellen weg */
//		System.out.println("    h = " + h);
//		
//		//Division (double)
//		double k;
//		k = 3/4; /* Ausdruck wird zu Integer, bei der
//					Zuweisung fallen die Nachkommastellen weg */
//		System.out.println("    k = " + k);

			v=82;
			System.out.println("    v = " + v);
		}
}